#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, p;
    cin >> n >> p;
    vector<int> kuce;

    for(int i = 0; i < n; i++){
        int k;
        cin >> k;
        kuce.push_back(k);
    }

    sort(kuce.begin(), kuce.end());

    int udaljenost;
    if(kuce[0] < p && kuce[n - 1] > p){
        int manjaudaljenost = min(p - kuce[0], (kuce[n - 1] - p));
        int vecaudaljenost = max(p - kuce[0], (kuce[n - 1] - p));
        udaljenost = 2 * manjaudaljenost + vecaudaljenost;
    }
    else{
        udaljenost = max(p - kuce[0], kuce[n - 1] - p);
    }
    cout << udaljenost;
}